Shop games
Claim Game Reward
Claims the reward for a specific game session
POST
/{locale}/shop/game-sessions/{sessionKey}/claim-rewardClaims the reward for a specific game session
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
sessionKey*string
Session key
Response Body
application/json
curl -X POST "https://example.com/en/shop/game-sessions/game_session_1234567890abcdef1234567890abcdef/claim-reward"{ "success": true, "data": { "reward": { "type": "points", "value": 100, "description": "Game reward points" }, "points_earned": 100, "coupon_created": null, "session": { "id": 1, "user_id": 1, "game_id": 1, "session_key": "game_session_1234567890abcdef1234567890abcdef", "status": "completed", "score": 1000, "level": 5, "progress_data": { "level": 5, "score": 1000 }, "started_at": "2023-10-27T10:00:00Z", "expires_at": "2023-10-27T11:00:00Z", "completed_at": "2023-10-27T10:30:00Z", "reward_claimed": true } }}